package market.Qms.com.mapper;

import market.Qms.com.vo.BaseStdAlpha;

import com.hnshituo.orm.GenericMapper;

public interface BaseStdAlphaMapper extends GenericMapper<BaseStdAlpha, String> {
	/**
	 * 获取同标准号最大编码
	 * @param stdCode 标准号编码
	 * @return
	 */
	String GetMaxCode(String stdCode);
	
	/**
	 * 根据标准号编码作废
	 * @param stdCode
	 */
	void DelOrRenewByStdCode(String stdCode,String flag,String deleteName);

	void doUpdate(String alphaCode);
	
}
